Subject: Re: Musings on PCI busses

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 20 May 2009 15:33:03 +1000

On Tue, 2009-05-19 at 12:05 -0700, David Miller wrote:
> 
> This is also what sparc64 does :-)
> 
> All of the individual sparc64 PCI controller types have a OF driver
> and then there is a common layer of OF PCI helper code to do most
> of the work.

I agree it's a good idea in the long run, but on ppc32, I would be a bit
careful due to the amount of historical crap & early board fixup we have
that may need working PCI config space accesses and make assumption
about when PCI is probed.

We could add the necessary bits for ppc32 to be able to "opt-in" the new
scheme on a per board basis I suppose.

Cheers,
Ben.